package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 工程信息对象 cons_project_info
 * 
 * @author ruoyi
 * @date 2025-02-14
 */
public class ProjectInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String name;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("name", getName())
            .append("updateTime", getUpdateTime()).append("createTime", getCreateTime())
            .append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
